Ani Angular 2 Theme
Ani Angular 2FormButtons
Wish to have it customized?
If you like our theme, but wish to have it customized your way, you can hire the Start Angular team to do that for you. Write to us here.

Description

Ani Theme is a Boilerplate for Animated Angular-2 Starter Theme written with Typescript and Bootstrap Sass. Powered by Gulp.

If you’re starting an Angular-2 dashboard application then Ani-Angular-2 Theme comes very handy. It uses Angular 2 and Bootstrap 4 which makes it easy to use.

It supports all major browsers and has a fluent and subtle page transition animation.

Key Features

  • Angular 2.0.0
  • Bootstrap 4
  • Typescript and ECMA Script6 specification
  • Perfect for Admin and Dashboard apps
  • Subtle Page Transition
  • Login page, Home page, Component page
  • Enterprise Angular 2 Starter Kit
  • Gulp ready
  • Manager of your type definitions using @types
  • Ani Theme Premium Edition takes a step ahead with a lot of directives, pages and ready-to-use widgets.

Credits

Check out the more awesome Pro Version.
Download Preview Github Installation steps

12 reviews for Ani Angular 2 Theme

  1. Jasmine Monquie Lewis
    5 out of 5

    :

    Great job. I just had to comment out the Chart JS.

  2. sunil kashyap
    2 out of 5

    :

    Getting error What to do ….
    i have installed latest version of node & npm
    [email protected]:~$ node -v
    v7.4.0
    [email protected]:~$ npm -v
    4.0.5
    ———————
    npm ERR! Linux 3.13.0-106-generic
    npm ERR! argv “/usr/bin/nodejs” “/usr/local/bin/npm” “start”
    npm ERR! node v7.4.0
    npm ERR! npm v4.0.5
    npm ERR! code ELIFECYCLE
    npm ERR! [email protected] start: `gulp serve.dev –color`
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the [email protected] start script ‘gulp serve.dev –color’.
    npm ERR! Make sure you have the latest version of node.js and npm installed.
    npm ERR! If you do, this is most likely a problem with the SB-Admin-BS4-Angular-2 package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR! gulp serve.dev –color
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR! npm bugs SB-Admin-BS4-Angular-2
    npm ERR! Or if that isn’t available, you can get their info via:
    npm ERR! npm owner ls SB-Admin-BS4-Angular-2
    npm ERR! There is likely additional logging output above.

    npm ERR! Please include the following file with any support request:
    npm ERR! /home/srs/Desktop/aniTheme/npm-debug.log

  3. Topguru
    5 out of 5

    :

    I’ve commented the following code line in product.config.ts.
    // { src: ‘highcharts/highcharts.js’, inject: ‘libs’ }

    So it works well now.
    Thanks

    • admin

      :

      Great.

  4. sparka
    3 out of 5

    :

    hello
    please can I knox how to remove remove the highchart module
    best regards

    • admin

      :

      You need to remove it from package.json and then remove chart folder and then update your dashboard.routes.ts and dashboard.module.ts.

  5. Sebastian
    4 out of 5

    :

    Hi,
    I’m getting this error :
    Message:
    Cannot find module ‘highcharts/highcharts.js’
    Details:
    code: MODULE_NOT_FOUND
    Stack:
    Error: Cannot find module ‘highcharts/highcharts.js’
    at Function.Module._resolveFilename (module.js:325:15)
    at Function.require.resolve (internal/module.js:16:19)
    at /home/scastellanos/typescript/ani-angular/ani-angular-2/tools/config/seed.config.ts:532:59
    at Array.forEach (native)
    at normalizeDependencies (/home/scastellanos/typescript/ani-angular/ani-angular-2/tools/config/seed.config.ts:532:6)
    at ProjectConfig.Object.defineProperty.get [as DEPENDENCIES] (/home/scastellanos/typescript/ani-angular/ani-angular-2/tools/config/seed.config.ts:306:12)

    Already installed https://github.com/gevgeny/angular2-highcharts with
    npm install angular2-highcharts –save

    Any hint ? 🙂

    Kind Regards

    • admin

      :

      Kindly remove the highchart module as it’s not used in this theme. We will remove at our end soon.

  6. Sandy
    3 out of 5

    :

    Preview is broken.

    • admin

      :

      Thanks for pointing the issue, we will fix it soon.

  7. Narada
    5 out of 5

    :

    Message:
    Cannot find module ‘highcharts/highcharts.js’
    Details:
    code: MODULE_NOT_FOUND
    Stack:
    Error: Cannot find module ‘highcharts/highcharts.js’

  8. JB
    4 out of 5

    :

    Looks good, getting an error in updated version :
    src\client\app\shared\index.ts(4,15): error TS2307: Cannot find module ‘./topnav/index’.

    • admin

      :

      Kindly reclone the theme.

  9. Samuel
    5 out of 5

    :

    Hey! this is awosome!! I already made some changes. How do you generate the production dist? so it is identical to the one that i change after npm start?

    • admin

      :

      You need to run gulp build.prod

  10. sanketsahu
    5 out of 5

    :

    Much appreciated! Thanks for this theme

    • admin

      :

      Thanks a lot Sanket! 🙂

  11. heevely
    5 out of 5

    :

    I edit this source but nothing is changed. How can I?

    • admin

      :

      Try to run ‘npm start’ and then make changes inside app/pages folder it will reflect in browser.

  12. Emmanuel
    4 out of 5

    :

    Great work!

    • admin

      :

      Thank you Emmanuel. 🙂

Add a review

Your email address will not be published. Required fields are marked *